DLList< tVARTYPE > Class Template Reference

## Public Member Functions

void | clear ()
void | insertAtBeginning (const tVARTYPE &val)
void | insertAtEnd (const tVARTYPE &val)
void | insertBefore (const tVARTYPE &val, DLLNode< tVARTYPE > *pThisNode)
void | insertAfter (const tVARTYPE &val, DLLNode< tVARTYPE > *pThisNode)
DLLNode< tVARTYPE > * | deleteNode (DLLNode< tVARTYPE > *pNode)
void | moveToEnd (DLLNode< tVARTYPE > *pThisNode)
DLLNode< tVARTYPE > * | next (DLLNode< tVARTYPE > *pNode) const
DLLNode< tVARTYPE > * | prev (DLLNode< tVARTYPE > *pNode) const
DLLNode< tVARTYPE > * | nodeNum (int iNum) const
int | getLength () const
DLLNode< tVARTYPE > * | head () const
DLLNode< tVARTYPE > * | tail () const

## Protected Attributes

int | m_iLength
DLLNode< tVARTYPE > * | m_pHead
DLLNode< tVARTYPE > * | m_pTail

The documentation for this class was generated from the following file:

- dllist.h

Last updated 12 September 2005 21:38:45